### Method

# Template Scope set_value

#### Declaration

    void
    tmpl_scope_set_value (
      TmplScope* self,
      const gchar* name,
      const GValue* value
    )

#### Description

Sets the contents of the symbol named `name` to the value `value`.

#### Parameters

`name`

  Type: `const gchar*`

  A name for the symbol.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  A `GValue` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.